## 使用方式

- 安装

`sudo dpkg -i kyfs-fuse_1.0.0.1-0k0_amd64.deb && sudo apt install --fix-broke`

- 挂载

`sudo kyfs -o atomic_o_trunc,nonempty,use_ino,attr_timeout=0,entry_timeout=0,negative_timeout=0,allow_other,default_permissions <mount-dir> --base <base-dir>`
如： `sudo kyfs -o atomic_o_trunc,nonempty,use_ino,attr_timeout=0,entry_timeout=0,negative_timeout=0,allow_other,default_permissions /home/kylin --base /home/kylin`

- 查看

`mount | grep kyfs`

- 长文件名操作

**为了使用上层的 `mount-dir`，相关的软件需要重新打开操作目录(一种方式是重启软件)，否则看到的是底层的 `base-dir`。**

```bash
cd ~/Desktop
echo 麒麟软件 > "麒麟软件有限公司（简称：麒麟软件），是中国电子信息产业集团有限公司旗下子公司。麒麟软件是专业从事国产操作系统研发和产业化的高新技术企业，以安全可信操作系统技术为核心，面向通用和专用领域打造安全创新操作系统产品和相应解决方案，形成银河麒麟服务器操作系统、桌面操作系统、嵌入式操作系统、麒麟云、操作系统增值产品为代表的产品线。麒麟软件旗下拥有银河麒麟，中标麒麟，星光麒麟三大国产操作系统品牌，能支持飞腾、鲲鹏等六款国产CPU，服务国内用户超过5万家。.txt"
cat "麒麟软件有限公司（简称：麒麟软件），是中国电子信息产业集团有限公司旗下子公司。麒麟软件是专业从事国产操作系统研发和产业化的高新技术企业，以安全可信操作系统技术为核心，面向通用和专用领域打造安全创新操作系统产品和相应解决方案，形成银河麒麟服务器操作系统、桌面操作系统、嵌入式操作系统、麒麟云、操作系统增值产品为代表的产品线。麒麟软件旗下拥有银河麒麟，中标麒麟，星光麒麟三大国产操作系统品牌，能支持飞腾、鲲鹏等六款国产CPU，服务国内用户超过5万家。.txt"
```

- 卸载

`sudo fusermount -u <mount-dir>`
如： `sudo fusermount -u /home/kylin`
**卸载的前提条件是没有进程打开上层的 <mount-dir>，所以在热门目录上进行挂载后很难进行卸载，一个简单的方式是重启系统。**
